Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-24677

If web.xml for plugin is not greater than v2.4, Servlet Filter regexes are not respected

    Details

    • Branch Version/s:
      6.1.x, 6.0.x
    • Backported to Branch:
      Committed

      Description

      Liferay replaces the servlet container's filter matching rules with those held by the InvokerFilter if web.xml is at least version 2.4. However, if web.xml is <= v2.3, the filter regexes are not managed.

      This is a relatively minor issue since most plugins should have their web.xml at least at version 2.4. If they are not, they should be upgraded to version 2.4.

      However, for complete safety, we should warn the developers that they need to update the web.xml and also should provide some minimum capabilities to apply regex.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              mika.koivisto Mika Koivisto
              Reporter:
              michael.han Michael Han (Inactive)
              Participants of an Issue:
              Recent user:
              Esther Sanz
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Days since last comment:
                9 years, 22 weeks, 2 days ago

                  Packages

                  Version Package
                  6.0.X EE
                  6.1.1 CE GA2
                  6.1.20 EE GA2
                  6.2.0 CE M2